Get Revision Executive Vulnerability Report Preview
https://app.fossa.com/api/revisions/{locator}/report/executive-vulnerabilityReturns a watermarked preview of the Executive Vulnerability Report for a given revision
Path parameters
locatorstringrequiredQuery parameters
previewbooleanrequiredMust be `true`. Use the email endpoint to generate the full report.
fullListbooleanWhether to include the full vulnerability list (default is true)
Responses
200A watermarked preview of the report400BadRequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden. Returned when the organization does not have Security enabled.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFound. Returned when the `execVulnReport` feature flag is off, or the user cannot access the revision.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/revisions/%7Blocator%7D/report/executive-vulnerabilitycurl --request GET \ --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/report/executive-vulnerability' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
locatorstringrequiredQuery params
previewbooleanrequiredMust be `true`. Use the email endpoint to generate the full report.
fullListbooleanWhether to include the full vulnerability list (default is true)